<safttip xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">

<row>
  <denumire>NUMBER(20)</denumire>
  <delphitip>ftFmtBcd</delphitip>
  <delphilen>20</delphilen>
  <oracletip>NUMBER(20)</oracletip>
  <strformat>###0.##</strformat>
</row>

<row>
  <denumire>NONNEGATIVEINTEGER</denumire>
  <delphitip>ftFmtBcd</delphitip>
  <delphilen>20</delphilen>
  <oracletip>NUMBER(20)</oracletip>
  <strformat>###0.##</strformat>
</row>

<row>
  <denumire>SAFMONETARYTYPE</denumire>
  <delphitip>ftFloat</delphitip>
  <delphilen>18</delphilen>
  <oracletip>NUMBER(18,2)</oracletip>
  <strformat>###0.##</strformat>
</row>

<row>
  <denumire>SAFEXCHANGERATETYPE</denumire>
  <delphitip>ftFloat</delphitip>
  <delphilen>18</delphilen>
  <oracletip>NUMBER(18,4)</oracletip>
  <strformat>###0.####</strformat>
</row>

<row>
  <denumire>SAFQUANTITYTYPE</denumire>
  <delphitip>ftFloat</delphitip>
  <delphilen>22</delphilen>
  <oracletip>NUMBER(22,6)</oracletip>
  <strformat>###0.######</strformat>
</row>

<row>
  <denumire>SAFWEIGHTTYPE</denumire>
  <delphitip>ftFloat</delphitip>
  <delphilen>14</delphilen>
  <oracletip>NUMBER(14,3)</oracletip>
  <strformat>###0.###</strformat>
</row>

<row>
  <denumire>SAFCODETYPE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>9</delphilen>
  <oracletip>NVARCHAR2(9)</oracletip>
</row>

<row>
  <denumire>SAFSHORTTEXTTYPE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>18</delphilen>
  <oracletip>NVARCHAR2(18)</oracletip>
</row>

<row>
  <denumire>SAFMIDDLE1TEXTTYPE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>35</delphilen>
  <oracletip>NVARCHAR2(35)</oracletip>
</row>

<row>
  <denumire>SAFMIDDLE2TEXTTYPE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>70</delphilen>
  <oracletip>NVARCHAR2(70)</oracletip>
</row>

<row>
  <denumire>SAFLONGTEXTTYPE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>255</delphilen>
  <oracletip>NVARCHAR2(256)</oracletip>
</row>

<row>
  <denumire>ISOCOUNTRYCODE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>2</delphilen>
  <oracletip>NVARCHAR2(2)</oracletip>
</row>

<row>
  <denumire>ISOCURRENCYCODE</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>3</delphilen>
  <oracletip>NVARCHAR2(3)</oracletip>
</row>

<row>
  <denumire>ANYURI</denumire>
  <delphitip>ftString</delphitip>
  <delphilen>100</delphilen>
  <oracletip>NVARCHAR2(100)</oracletip>
</row>

<row>
  <denumire>DATE</denumire>
  <delphitip>ftDateTime</delphitip>
  <delphilen>10</delphilen>
  <oracletip>DATE</oracletip>
  <strformat>YYYY-MM-DD</strformat>
</row>

<row>
  <denumire>TIME</denumire>
  <delphitip>ftDateTime</delphitip>
  <delphilen>8</delphilen>
  <oracletip>DATE</oracletip>
  <strformat>HH24:MIN</strformat>
</row>

<row>
  <denumire>DECIMAL</denumire>
  <delphitip>ftFloat</delphitip>
  <delphilen>22</delphilen>
  <oracletip>NUMBER(22,7)</oracletip>
  <strformat>###0.####</strformat>
</row>

<row>
  <denumire>SAFBASERATE</denumire>
  <delphitip>ftFloat</delphitip>
  <delphilen>5</delphilen>
  <oracletip>NUMBER(5,4)</oracletip>
  <strformat>###0.####</strformat>
</row>

</safttip>
